Subject: Re: [PATCH 1/3] powerpc: mm: make _PAGE_NUMA take effect

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 11 Dec 2013 20:50:16 +1100

On Wed, 2013-12-11 at 16:50 +0800, Liu ping fan wrote:
> > why ? , All the hash routines do check for _PAGE_PRESENT via access
> > variable.
> >
> Going through __hash_page_4K(4k on 4k HW), I do not find such check.
> Am I wrong? Or I will send out a patch to fix that.

We pass a bitmask of flags to check which are tested by doing an "andc"
of the PTE on that mask and checking if anything is left...

Ben.